Type to search.

Check user profile privileges

  • POST also GET /_security/profile/_has_privileges
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.3 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Determine whether the users associated with the specified user profile IDs have all the requested privileges.

Note

The user profile feature is designed only for use by Kibana and Elastic's Observability, Enterprise Search, and Elastic Security solutions. Individual users and external applications should not call this API directly. Elastic reserves the right to change or remove this feature in future releases without prior notice.

Read the reference documentation

Required privileges

Cluster privileges read_security

Request body

uids string[] required

A list of profile IDs. The privileges are checked for associated users of the profiles.

privileges object required

An object containing all the privileges to be checked.

cluster union anyOf[]

A list of the cluster privileges that you want to check.

Values: all cancel_task create_snapshot cross_cluster_replication cross_cluster_search delegate_pki grant_api_key manage manage_api_key manage_autoscaling manage_behavioral_analytics manage_ccr

Response

application/json
has_privilege_uids string[] required

The subset of the requested profile IDs of the users that have all the requested privileges.